<template>
  <div class="page-container">
    <div class="image"></div>
    <div class="left-box-container">
      <h1>ورود</h1>
      <section class="form-and-text-container">
        <LoginForm class="form" @success="onLogin"/>
        <div class="text-card">
          <h3>خوش آمدید</h3>
          <p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>

          <h3>توضیحاتی کوتاه</h3>
          <p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>
        </div>
      </section>
    </div>
  </div>
</template>

<script>
import LoginForm from "@/components/auth/LoginForm";

export default {
  components: {
    LoginForm
  },
  head() {
    return {
      title: 'ورود'
    }
  },
  middleware: 'not-authenticated',
  methods: {
    onLogin() {
      this.$router.push('/shop');
    }
  }
};
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables';

.page-container 
  background $black
  display flex
  padding $page-padding
  flex-direction row-reverse
  align-items center
  @media only screen and (max-width 1330px) 
    padding $page-padding--md
  @media only screen and (max-width 600px) 
    padding $page-padding--sm

.image 
  background-image $auth-image-overlay, url("/images/login.jpg")
  background-blend-mode darken
  background-position center
  box-shadow 0.2rem 1rem 2rem rgba(black, 0.2)
  background-size cover
  height $auth-image-height
  width 30%
  @media only screen and (max-width 1110px) 
    display none

.left-box-container 
  background-color $black-darken
  box-shadow 0.2rem 1rem 2rem rgba(0, 0, 0, 0.2)
  transform translateX($auth-overlap-size)
  width 70%
  text-align right
  color $white
  padding $card-padding
  @media only screen and (max-width 1110px) 
    transform translateX(0)
    width 100%
    padding 0
    background-color transparent
    box-shadow none
    padding $card-padding--sm
    
.form-and-text-container 
  display flex
  flex-direction row-reverse
  align-items flex-end

h1 
  font-size 2rem
  font-weight 500

h3 
  font-size 2rem
  font-weight 400
  margin-bottom $sm

.text-card
  max-width 50%
  padding $md $sm $md 0
  margin-right $md
  @media only screen and (max-width 1220px) 
    display none

.form
  @media only screen and (max-width 1220px) 
    width 100%
  
p 
  font-size $font-size--sm
  direction rtl
  &:not(:last-child)
    margin-bottom $md
</style>